# Batch Templates Batch Templates ## Gets all of the batch templates in the system. - [GET /batchTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/listbatchtemplates.md): This method will scan all batch templates and and return them to the caller. ## Creates a new batch template record that does not already exist. - [POST /batchTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/createbatchtemplate.md): This method will auto-generate an ID and create a new batch template. If an ID is specified for the batch template, an error will be thrown. ## Execute Batch Operations - [POST /batchTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a batch template from the system by its ID. - [DELETE /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/deletebatchtemplate.md): This method will delete a batch template with the specified ID. ## Returns a batch template from the system by its ID. - [GET /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/getbatchtemplate.md): This method will look up a batch template by the specified ID and return it back. ## Partially updates a batch template with the specified ID. - [PATCH /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/patchbatchtemplate.md): This method will patch an existing batch template with the specified ID, using the HTTP PATCH specification. ## Updates a batch template with the specified ID. - [PUT /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/updatebatchtemplate.md): This method will update an existing batch template with the specified ID.